Bug 884696 - fedup backtrace on F17 EFI live install: 'error opening /boot/grub/grub.cfg for read: no such file or directory'
fedup backtrace on F17 EFI live install: 'error opening /boot/grub/grub.cfg f...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 10:19 EST by Tim Flink
Modified: 2013-01-03 02:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-03 02:25:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug log from fedup prep attempt (1.10 MB, text/plain)
2012-12-06 10:23 EST, Tim Flink
no flags Details

  None (edit)
Description Tim Flink 2012-12-06 10:19:22 EST
I attempted to upgrade an updated F17 EFI live install using fedup-0.7.2-0.fc17 and it failed on 'grubby --default-kernel'. Running the command manually, I see the following output:

error opening /boot/grub/grub.cfg for read: no such file or directory

Debug logs to follow shortly
Comment 1 Tim Flink 2012-12-06 10:23:03 EST
Created attachment 658811 [details]
debug log from fedup prep attempt

Attaching the debug log from my upgrade attempt. Command used:

sudo fedup-cli --network 18 --debuglog=fedupdebug.log --instrepo=http://dl.fedoraproject.org/pub/fedora/linux/releases/test/18-Beta/Fedora/x86_64/os/
Comment 2 Tim Flink 2012-12-10 16:50:23 EST
Tried again with fedup-0.7.2-0.git20121206.fc17 and the upgrade completed as expected. Doesn't upgrade the kernel but that's not really a fedup issue
Comment 3 Fedora Update System 2012-12-20 23:48:56 EST
fedup-0.7.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedup-0.7.2-1.fc17
Comment 4 Fedora Update System 2012-12-21 07:09:22 EST
Package fedup-0.7.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.7.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20801/fedup-0.7.2-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-01-03 02:25:59 EST
fedup-0.7.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.